{
    num: 752,
    accuracy: true,
    basePower: 0,
    category: "Status",
    name: "Teatime",
    pp: 10,
    priority: 0,
    flags: {bypasssub: 1, metronome: 1},
    onHitField(target, source, move) {
        const targets = [];
        for (const pokemon of this.getAllActive()) {
            if (this.runEvent('Invulnerability', pokemon, source, move) === false) {
                this.add('-miss', source, pokemon);
            } else if (this.runEvent('TryHit', pokemon, source, move)) {
                const item = pokemon.getItem();
                if (item.id === 'leftovers') {
                    pokemon.setItem('');
                    this.add('-message', `${pokemon.name} ate the rest of their Leftovers!`);
                    this.heal(pokemon.maxhp / 16, pokemon, source);
                    targets.push(pokemon);
                } else if (item.isBerry) {
                    targets.push(pokemon);
                    pokemon.eatItem(true);
                }
            }
        }
        this.add('-fieldactivate', 'move: Teatime');
        if (!targets.length) {
            this.add('-fail', source, 'move: Teatime');
            this.attrLastMove('[still]');
            return this.NOT_FAIL;
        }
    },
    secondary: null,
    zMove: { effect: "heal" },
    target: "all",
    type: "Normal",
}
